# QuadraticRealPolynomial

Core/QuadraticRealPolynomial.js 4
Defines functions for 2nd order polynomial functions of one variable with only real coefficients.

### Methods

#### static Cesium.QuadraticRealPolynomial.computeDiscriminant(a, b, c) → Number
Core/QuadraticRealPolynomial.js 19

Provides the discriminant of the quadratic equation from the supplied coefficients.

Name | Type | Description
--- | --- | ---
`a` | Number | The coefficient of the 2nd order monomial.
`b` | Number | The coefficient of the 1st order monomial.
`c` | Number | The coefficient of the 0th order monomial.

##### Returns:

The value of the discriminant.

#### static Cesium.QuadraticRealPolynomial.computeRealRoots(a, b, c) → Array.<Number>
Core/QuadraticRealPolynomial.js 56

Provides the real valued roots of the quadratic polynomial with the provided coefficients.

Name | Type | Description
--- | --- | ---
`a` | Number | The coefficient of the 2nd order monomial.
`b` | Number | The coefficient of the 1st order monomial.
`c` | Number | The coefficient of the 0th order monomial.

##### Returns:

The real valued roots.